import { UmbMediaTypeCompositionServerDataSource } from './media-type-composition.server.data-source.js';
import { UmbRepositoryBase } from '../../../../core/repository/index.js';
export class UmbMediaTypeCompositionRepository extends UmbRepositoryBase {
    #compositionSource;
    constructor(host) {
        super(host);
        this.#compositionSource = new UmbMediaTypeCompositionServerDataSource(this);
    }
    async getReferences(unique) {
        return this.#compositionSource.getReferences(unique);
    }
    async availableCompositions(args) {
        return this.#compositionSource.availableCompositions(args);
    }
}
export { UmbMediaTypeCompositionRepository as api };
